std::pmr::polymorphic_allocator::allocate_bytes(3)

NAME
std::pmr::polymorphic_allocator::allocate_bytes - std::pmr::polymorphic_allocator::allocate_bytes

Synopsis
   [[nodiscard]] void* allocate_bytes( std::size_t nbytes, (since C++20)
   std::size_t alignment = alignof(std::max_align_t) );
   Allocates nbytes bytes of storage at specified alignment alignment using the
   underlying memory resource. Equivalent to return resource()->allocate(nbytes,
   alignment);.

Parameters
   nbytes - the number of bytes to allocate
   alignment - the alignment to use

Return value
   A pointer to the allocated storage.

Notes
   This function was introduced for use with the fully-specialized allocator
   std::pmr::polymorphic_allocator<>, but it may be useful in any specialization.
   The return type is void* (rather than, e.g., std::byte*) to support conversion to an
   arbitrary pointer type U* by static_cast<U*>.

Exceptions
   May throw any exceptions thrown by the call to resource()->allocate.

See also
   allocate_object Allocates raw memory suitable for an object or an array
   (C++20) (public member function)
   new_object Allocates and constructs an object
   (C++20) (public member function)
   allocate Allocate memory
                   (public member function)
   allocate allocates uninitialized storage using the allocator
   [static] (public static member function of std::allocator_traits<Alloc>)
   allocate allocates memory
                   (public member function of std::pmr::memory_resource)